package com.lee.call.tools;

import java.net.InetAddress;
import java.net.NetworkInterface;
import java.net.SocketException;
import java.util.Enumeration;

import android.content.Context;
import android.net.wifi.WifiInfo;
import android.net.wifi.WifiManager;
import android.text.ClipboardManager;

public class ICallTool {

	private static String intToIp(int i) {
		StringBuffer buffer = new StringBuffer();
		buffer.append(i & 0xFF);
		buffer.append(".");
		buffer.append(((i >> 8) & 0xFF));
		buffer.append(".");
		buffer.append(((i >> 16) & 0xFF));
		buffer.append(".");
		buffer.append((i >> 24 & 0xFF));
		return buffer.toString();
	}

	public static String getGprsIp() {
		try {
			for (Enumeration<NetworkInterface> en = NetworkInterface
					.getNetworkInterfaces(); en.hasMoreElements();) {
				NetworkInterface intf = en.nextElement();
				for (Enumeration<InetAddress> enumIpAddr = intf
						.getInetAddresses(); enumIpAddr.hasMoreElements();) {
					InetAddress inetAddress = enumIpAddr.nextElement();
					if (!inetAddress.isLoopbackAddress())
						return inetAddress.getHostAddress().toString();
				}
			}
		} catch (SocketException e) {
			e.printStackTrace();
		}
		return null;
	}

	public static String getWifiIP(Context context) {
		WifiManager wifiManager = (WifiManager) context
				.getSystemService(Context.WIFI_SERVICE);
		WifiInfo wifiInfo = wifiManager.getConnectionInfo();
		int ipAddress = wifiInfo.getIpAddress();
		if (ipAddress == 0)
			return null;
		String ip = intToIp(ipAddress);
		return ip;
	}

	public static void copy(Context context, String text) {
		final ClipboardManager manager = (ClipboardManager) context
				.getSystemService(Context.CLIPBOARD_SERVICE);
		manager.setText(text);
	}

}
