package com.lee.call.ui;

import android.content.Context;
import android.content.SharedPreferences;
import android.content.res.Resources;
import android.os.Bundle;
import android.preference.PreferenceActivity;
import android.preference.PreferenceManager;

public class ICallSetting extends PreferenceActivity {

	private static SharedPreferences prefs;
	private static Resources res;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		// TODO Auto-generated method stub
		super.onCreate(savedInstanceState);
		res = getResources();
		addPreferencesFromResource(R.xml.settings);
		prefs = PreferenceManager.getDefaultSharedPreferences(this);
	}

	private static void load(Context context) {
		if (res == null || prefs == null) {
			res = context.getResources();
			prefs = PreferenceManager.getDefaultSharedPreferences(context);
		}
	}

	public static int getType(Context context) {
		load(context);
		String key = res.getString(R.string.key_contype);
		return Integer.parseInt(prefs.getString(key, "-1"));
	}

	public static String getIp(Context context) {
		load(context);
		String key = res.getString(R.string.key_ipaddr);
		return prefs.getString(key, null);
	}

	public static boolean getDialSound(Context context) {
		load(context);
		String key = res.getString(R.string.key_dial_sound);
		return prefs.getBoolean(key, false);
	}

	@Override
	public void finish() {
		// TODO Auto-generated method stub
		setResult(RESULT_OK);
		super.finish();
	}

}
