package com.lee.call.work;

import android.media.AudioManager;
import android.media.AudioTrack;

import com.lee.speex.jni.Speex;

public class Player implements Runnable {

	private AudioTrack track;
	private UDPReceiver receiver;
	private short[] pcmFrame = new short[AudioParam.FRAME_SIZE];
	private byte[] encodedFrame = new byte[AudioParam.getDefaultQuality()];
	private boolean running;

	protected Player() {
		// TODO Auto-generated constructor stub
		receiver = new UDPReceiver(encodedFrame);
		int trackBufferSize = AudioTrack.getMinBufferSize(
				AudioParam.sampleRateInHz, AudioParam.channelOutConfig,
				AudioParam.audioFormat);
		track = new AudioTrack(AudioManager.STREAM_MUSIC,
				AudioParam.sampleRateInHz, AudioParam.channelOutConfig,
				AudioParam.audioFormat, trackBufferSize, AudioTrack.MODE_STREAM);
		new Thread(this).start();
	}

	@Override
	public void run() {
		// TODO Auto-generated method stub
		running = true;
		track.play();
		while (running) {
			receiver.receive();
			Speex.decode(encodedFrame, pcmFrame, encodedFrame.length);
			track.write(pcmFrame, 0, AudioParam.FRAME_SIZE);
		}
		track.stop();
	}

	public boolean isRunning() {
		return running;
	}

	public void setRunning(boolean running) {
		this.running = running;
	}

}
