package com.lee.call.work;

import android.media.AudioRecord;
import android.media.MediaRecorder;

import com.lee.speex.jni.Speex;

public class Recorder implements Runnable {

	private AudioRecord recorder;
	private short[] pcmFrame = new short[AudioParam.FRAME_SIZE];
	private byte[] encodedFrame = new byte[AudioParam.getDefaultQuality()];
	private UDPSender sender;
	private boolean running;

	protected Recorder(String ip) {
		// TODO Auto-generated constructor stub
		sender = new UDPSender(ip, encodedFrame);
		int recordBufferSize = AudioRecord.getMinBufferSize(
				AudioParam.sampleRateInHz, AudioParam.channelInConfig,
				AudioParam.audioFormat);
		recorder = new AudioRecord(MediaRecorder.AudioSource.MIC,
				AudioParam.sampleRateInHz, AudioParam.channelInConfig,
				AudioParam.audioFormat, recordBufferSize);
		new Thread(this).start();
	}

	@Override
	public void run() {
		// TODO Auto-generated method stub
		running = true;
		recorder.startRecording();
		while (running) {
			recorder.read(pcmFrame, 0, AudioParam.FRAME_SIZE);
			Speex.encode(pcmFrame, encodedFrame);
			sender.send();
		}
		recorder.stop();
	}

	public boolean isRunning() {
		return running;
	}

	public void setRunning(boolean running) {
		this.running = running;
	}

}
