package com.lee.speex.jni;

public class Speex {
	
	static {
		System.loadLibrary("speex_jni");
	};
	
	/** quality range 0~10 **/
	public static native int open(int quality);

	public static native int preprocess(int sampleRateInHz);
	
	/**
	 * Decode a linear pcm audio stream
	 * @param encoded The encoded audio stream
	 * @param lin The linear pcm audio frame buffer in which to place the decoded stream
	 * @param size The size of the encoded frame
	 * @returns The size of the decoded frame
	 */
	public static native int decode(byte encoded[], short lin[], int size);

	/**
	 * Encode a linear pcm audio stream
	 * @param lin The linear stream to encode
	 * @param offset The offset into the linear stream to begin
	 * @param encoded The buffer to place the encoded stream
	 * @param size the size of the linear pcm stream (in words)
	 * @returns the length (in bytes) of the encoded stream
	 */
	public static native int encode(short lin[], byte encoded[]);

	public static native void close();
	
}
